/share_link

Shortens url paths and generates an url friendly share id to be accessed via /share/<share_id>.

  • The creating user is stored alongside with the share link. If that user is archived the system user system:deleted_user.

  • There is no API to revoke an existing share link.

  • Share links are removed only after they expire.

POST /system/share_link

post

Create a new share link.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Body
pathstring · uri-referenceRequired

The URI path to shorten, must start with /.

Pattern: ^\/
expires_atstring · date-timeOptional

ISO date and time when the share link expires. Defaults to one year.

aliasstringOptional

Optional alias that can be used instead of the randomly generated short id to access the share link. Only charaters defined in RFC 3968 are allowed.

Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_~\.]*[a-zA-Z0-9]$
Responses
200

New share link entry

application/json
pathstring · uri-referenceRequired

The target path of the share link URL.

Pattern: ^\/
share_idstringRequired

The randomly generated id that is used to access the link via <external_url>/share/<share_id>.

Pattern: ^[a-zA-Z0-9]+$
aliasstringOptional

The user set alias to access the link via <external_url>/share/<alias>.

Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_~\.]*[a-zA-Z0-9]$
created_atstring · date-timeRequired

Timestamp when the short link was created.

expires_atstring · date-timeRequired

Timestamp when the short link expires.

Redirect to url referenced by given id, if available

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
idstringRequired

Shortened hash or alias set by user

Responses

No content

Last updated